%define gst_plugins gst-plugins
%define ver_major 0.10

Name: %gst_plugins-ugly
Version: %ver_major.6
Release: alt1

%def_disable static

Summary: A set of encumbered GStreamer plugins
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

%def_enable a52dec
%def_disable amrnb
%def_enable dvdread
%def_enable lame
%def_enable mad
%def_enable mpeg2dec
%def_disable sidplay

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

%define gst_ver 0.10.6
%define gst_plugins_ver 0.10.3

Requires: gstreamer >= %gst_ver
Requires: lib%gst_plugins >= %gst_plugins_ver

Source: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Mon Sep 10 2007
#BuildRequires: cvs gcc-c++ gcc-fortran glibc-devel-static gnome-libs-devel gst-plugins-devel gtk-doc liba52-devel libdvdread-devel libid3tag-devel liblame-devel libmad-devel libmpeg2-devel liboil-devel python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging
BuildRequires: cvs gcc-c++ gnome-libs-devel gst-plugins-devel gtk-doc liba52-devel libdvdread-devel libid3tag-devel liblame-devel libmad-devel libmpeg2-devel liboil-devel python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging

BuildPreReq: gstreamer-devel >= %gst_ver
BuildPreReq: %gst_plugins-devel >= %gst_plugins_ver

%if_enabled a52dec
BuildRequires: liba52-devel
%endif

%if_enabled dvdread
BuildRequires: libdvdread-devel
%endif

%if_enabled lame
BuildRequires: liblame-devel
%endif

%if_enabled mad
BuildRequires: libmad-devel
BuildRequires: libid3tag-devel
%endif

%if_enabled mpeg2dec
BuildRequires: libmpeg2-devel
%endif

%if_enabled sidplay
BuildRequires: libsidplay-devel
%endif

%description
GStreamer Ugly Plug-ins is a set of plug-ins that have good quality
and correct functionality, but distributing them might pose problems.
The license on either the plug-ins or the supporting
libraries might not be how the developers would like.
The code might be widely known to present patent problems.

%package devel-doc
Summary: Development documentation for GStreamer Ugly plugins
Group: Development/C

%description devel-doc
This package contains development documentation for GStreamer Ugly plugin
collection.

%package all
Summary: Full GStreamer Ugly Plugins collection
Group: System/Libraries
Requires: %name = %version-%release
Requires: %name-audio-formats = %version-%release
Requires: %name-container-formats = %version-%release
Requires: %name-subtitle = %version-%release
%if_enabled a52dec
Requires: %gst_plugins-a52dec = %version-%release
%endif
%if_enabled dvdread
Requires: %gst_plugins-dvdread = %version-%release
%endif
%if_enabled lame
Requires: %gst_plugins-lame = %version-%release
%endif
%if_enabled mad
Requires: %gst_plugins-mad = %version-%release
%endif
%if_enabled mpeg2dec
Requires: %gst_plugins-mpeg2dec = %version-%release
%endif
%if_enabled sidplay
Requires: %gst_plugins-sidplay = %version-%release
%endif

%description all
This umbrella package encompasses the full set of GStreamer Ugly plugins.

%package audio-formats
Summary: GStreamer Ugly audio codecs
Group: Sound
Requires: %name = %version-%release

%description audio-formats
The GStreamer Ugly plugins to encode and decode audio formats.

%package container-formats
Summary: GStreamer Ugly multiplexers/demultiplexers for media container formats
Group: System/Libraries
Requires: %name = %version-%release

%description container-formats
GStreamer Ugly plugins for multiplexing and demultiplexing media container
formats that can pack multiple video and/or audio streams.

%package subtitle
Summary: GStreamer Ugly subtitle parser plugins
Group: Video
Requires: %name = %version-%release

%description subtitle
GStreamer Ugly plugins for subtitle parsing.

%package -n %gst_plugins-a52dec
Summary: GStreamer decoder for ATSC A/52
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-a52dec
GStreamer plugin to decode ATSC A/52 encoded audio streams.

%package -n %gst_plugins-dvdread
Summary: GStreamer plugin for DVD playback using libdvdread
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-dvdread
GStreamer plugin for reading DVD discs using the libdvdread library.

%package -n %gst_plugins-lame
Summary: GStreamer MP3 encoder using lame
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-lame
GStreamer plugin for encoding MP3 streams using the lame library.

%package -n %gst_plugins-mad
Summary: GStreamer MP3 decoder using MAD
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-mad
GStreamer plugin for decoding MP3 streams using the MAD library.

%package -n %gst_plugins-mpeg2dec
Summary: GStreamer MPEG1 and MPEG2 video decoder
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-mpeg2dec
GStreamer plugin for decoding MPEG1 and MPEG2 streams
using the libmpeg2 library.

%package -n %gst_plugins-sidplay
Summary: GStreamer Sid C64 music plugin
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-sidplay
GStreamer plugin for playback of C64 SID format music files.

%prep
%setup -q
%__rm -f COPYING
%__ln_s %_licensedir/LGPL-2 COPYING
%__bzip2 -k ChangeLog

%build
NOCONFIGURE=1 ./autogen.sh

export VALGRIND_PATH=%_bindir/valgrind
%configure \
    --disable-examples \
    --enable-gtk-doc \
    %{subst_enable static} \
    \
    %{subst_enable a52dec} \
    %{subst_enable amrnb} \
    %{subst_enable dvdread} \
    %{subst_enable lame} \
    %{subst_enable mad} \
    %{subst_enable mpeg2dec} \
    %{subst_enable sidplay} \
    --with-html-dir=%_gtk_docdir
%make_build

%install
%make_install install DESTDIR=%buildroot

# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%find_lang %name-%ver_major

%files -f %name-%ver_major.lang
%doc AUTHORS ChangeLog.bz2 NEWS README RELEASE
%doc --no-dereference COPYING

%files devel-doc
%_gtk_docdir/%name-plugins-%ver_major

%files all

%files audio-formats
%_gst_libdir/libgstdvdlpcmdec.so
%_gst_libdir/libgstiec958.so
%_gst_libdir/libgstmpegaudioparse.so

%files container-formats
%_gst_libdir/libgstasf.so
%_gst_libdir/libgstmpegstream.so
%_gst_libdir/libgstrmdemux.so

%files subtitle
%_gst_libdir/libgstdvdsub.so

%if_enabled a52dec
%files -n %gst_plugins-a52dec
%_gst_libdir/libgsta52dec.so
%endif

%if_enabled dvdread
%files -n %gst_plugins-dvdread
%_gst_libdir/libgstdvdread.so
%endif

%if_enabled lame
%files -n %gst_plugins-lame
%_gst_libdir/libgstlame.so
%endif

%if_enabled mad
%files -n %gst_plugins-mad
%_gst_libdir/libgstmad.so
%endif

%if_enabled mpeg2dec
%files -n %gst_plugins-mpeg2dec
%_gst_libdir/libgstmpeg2dec.so
%endif

%if_enabled sidplay
%files -n %gst_plugins-sidplay
%_gst_libdir/libgstsidplay.so
%endif

%changelog
* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.6-alt1
- 0.10.5 -> 0.10.6

* Thu Feb 22 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt1
- 0.10.4 -> 0.10.5

* Thu Aug 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4

* Mon Apr 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- 0.10.3
- Added -subtitle package for dvdsub

* Wed Feb 22 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Added dvdread
- Added asfdemux to container-formats

* Mon Feb 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- Initial release for Sisyphus after the plugin split of 0.9
